org.keycloak.representations.account

## Class DeviceRepresentation

- java.lang.Object
- - org.keycloak.representations.account.DeviceRepresentation

-     public class DeviceRepresentation
      extends Object

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceRepresentation()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSession(SessionRepresentation sessionRep)`
    `String` | `getBrowser()`
    `Boolean` | `getCurrent()`
    `String` | `getDevice()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `int` | `getLastAccess()`
    `String` | `getOs()`
    `String` | `getOsVersion()`
    `List<SessionRepresentation>` | `getSessions()`
    `boolean` | `isMobile()`
    `void` | `setBrowser(String browser)`
    `void` | `setBrowser(String browser, String version)`
    `void` | `setCurrent(Boolean current)`
    `void` | `setDevice(String device)`
    `void` | `setId(String id)`
    `void` | `setIpAddress(String ip)`
    `void` | `setLastAccess(int lastAccess)`
    `void` | `setMobile(boolean mobile)`
    `void` | `setOs(String os)`
    `void` | `setOsVersion(String osVersion)`
    `static DeviceRepresentation` | `unknown()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final String UNKNOWN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DeviceRepresentation

          public DeviceRepresentation()

  - ### Method Detail

    - #### unknown

          public static DeviceRepresentation unknown()

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ip)

    - #### getOs

          public String getOs()

    - #### setOs

          public void setOs(String os)

    - #### getOsVersion

          public String getOsVersion()

    - #### setOsVersion

          public void setOsVersion(String osVersion)

    - #### getBrowser

          public String getBrowser()

    - #### setBrowser

          public void setBrowser(String browser)

    - #### setBrowser

          public void setBrowser(String browser,
                                 String version)

    - #### getDevice

          public String getDevice()

    - #### setDevice

          public void setDevice(String device)

    - #### getLastAccess

          public int getLastAccess()

    - #### setLastAccess

          public void setLastAccess(int lastAccess)

    - #### getCurrent

          public Boolean getCurrent()

    - #### setCurrent

          public void setCurrent(Boolean current)

    - #### addSession

          public void addSession(SessionRepresentation sessionRep)

    - #### getSessions

          public List<SessionRepresentation> getSessions()

    - #### setMobile

          public void setMobile(boolean mobile)

    - #### isMobile

          public boolean isMobile()

Copyright © 2020 JBoss by Red Hat. All rights reserved.